> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/adunittags.md).

# /adunittags

## GET

A `GET` request can always be filtered by the get [parameters](http://docs.adnuntius.com/api/api-requests) defined in the introduction section of the api documentation.

**Example GET request:**

```http
GET https://api.adnuntius.com/api/v1/adunittags?context=<context>
```

```javascript
{
    "results": [
        {
            "auId": "000000000000f527",
            "auW": 980,
            "auH": 400,
            "tags": [
                {
                    "name": "COM",
                    "targetTag": "<div id=\"adn-000000000000f527\" style=\"display:none\"></div>",
                    "insertionTag": "<script type=\"text/javascript\">window.adn = window.adn || {}; adn.calls = adn.calls || []; adn.calls.push(function() { adn.request({ env: 'production', adUnits: [ {auId: '000000000000f527', auW: 980, auH: 400 } ]}); });</script>"
                },
                {
                    "name": "IFR",
                    "targetTag": "<div id=\"adn-000000000000f527\" style=\"display:none\"></div>",
                    "insertionTag": "<script type=\"text/javascript\">window.adn = window.adn || {}; adn.calls = adn.calls || []; adn.calls.push(function() { adn.request({ auId: '000000000000f527', auW: 980, auH: 400, env: 'production' }); });</script>"
                }
            ]
        }
    ],
    "totalCount": 1
}
```

in order to see `HIDDEN` objects you will need to send `includeHidden=true`as a parameter to the `GET` query

| Name | Restriction | Description                                       |
| ---- | ----------- | ------------------------------------------------- |
| auId | String      | The ad tag identifier.                            |
| auW  | String      | Width of the ad unit.                             |
| auH  | String      | Height of the ad unit.                            |
| tags | Array       | An array including the tag object specified below |

## tags object

| Name         | Restriction | Description                                                      |
| ------------ | ----------- | ---------------------------------------------------------------- |
| name         | String      | Name of the tag version ("COM" or "IFR").                        |
| targetTag    | String      | The div-element that the content will be loaded into by default. |
| insertionTag | String      | The javascript that will make the ad request.                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/adunittags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
